using Sepehr.ApiGateway.Partners.Contracts.Flight.ChangePassengerInfo.V1.GetPenalty.RequestModel;
using Sepehr.ApiGateway.Partners.Contracts.Flight.ChangePassengerInfo.V1.GetPenalty.ResponseModel;
using SepehrFlightApiSampleClient.BuiltinTypeExtensions;

namespace SepehrFlightApiSampleClient.ChangePassengerInfo.WebApi
{
    public class GetPenaltyApi
    {
        public static Response Post(string url, Request request)
        {
            var response = HttpClientHelper.Post(
                    $"{url}/api/Partners/Flight/ChangePassengerInfo/V1/GetPenalty",
                    request.SerializeToJson());

            return response.DeserializeFromJson<Response>();
        }
    }
}
